@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200;300;400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css?family=Lato:100,100i,300,300i,400,400i,700,700i,900,900i&display=swap');
:root {
    --brand-color: #0cf;
    --graydark: #23282d;
    --graymid: #2e3338;
    --graylite: #34393d;
}
body {
	padding: 0;
	margin: 0;
	background: #23282d;
	color: #888;
	font-family: Lato;
	font-size: 18px;
	line-height: 1.5;
	font-weight: 300;
	letter-spacing: .3px;
	position: relative;
}
h1,h2,h3,h4,h5,h6 {
	font-family: 'Oswald', sans-serif;
	text-transform: uppercase;
	letter-spacing: 1px;
	color: var(--brand-color);
}
h1,h2,h3 {
	font-weight: 300;
	
}
h4,h5,h6 {
	font-weight: 400;
}
h1 {
	font-size: 3.5em;
}
h2 {
	font-size: 3em;
}
h3 {
	font-size: 2.25em;
}
h4 {
	font-size: 1.5em;
	color: var(--brand-color);
}
p {
	margin: 20px unset;
}
a {
	text-decoration: none;
	color: var(--brand-color);
}
.white {
	color: white;
}
.black {
	color: black;
}
.padding {
	padding: 30px;
}
.float-r {
	float: right;
}




/*//////////*/
section.header {
	display: flex;
	text-align: center;
	align-items: center;
	height: 100vh;
    width: 100vw;
	position: fixed;
	top: 0;
	z-index: -1;
}
section.header img {
	display: block;
    margin: auto;
    max-width: 600px;
    width: 90%;
}
section.section-2 {
	height: 100vh;
	/*background: red;*/
	background: linear-gradient(0deg,rgba(30,40,70,1) 20%,rgba(30,40,70,0));
    position: relative;
    margin-top: 100vh;
}
section.section-3 {
	background: #1e3250;
	padding: 50px;
}
section.content-section {
	min-height: 100vh;
}
/*//////////*/





.row-contain {
	max-width: 1200px;
	margin: auto;
}
.flex {
	display: flex;
	justify-content: space-between;
	margin: 0 auto;
}
.flex.wrap {
	justify-content: center;
	flex-wrap: wrap;
}
.flex.center {
	align-items: center;
}
.flex > div {
	flex: 1;
}
.flex.padding,
.flex.padding > div {
	padding: 40px;
}
.wrap-2 > div {
	flex: unset;
	width: calc(50% - 100px);
}
.wrap-2 > div:nth-child(even) {
	/*background: #eee;*/
}
/**/
.full-page-section {
	min-height: 100vh;
	padding: 30px;
}
.sticky-div {
	padding: 30px;
	background: rgba(0,20,60,.85);
	max-width: 480px;
	position: sticky;
	top: 40%;
}







/*//////////*/
section.pre-footer,
section.footer {
	background: #141e3c;
}
section.footer {
	padding: 30px;
    border-top: 1px solid rgba(255,255,255,.1);
}
.pre-footer img.icon {
    width: 25px;
    margin-right: 5px;
    position: relative;
    top: 5px;
    filter: brightness(2) saturate(0);
}
/*//////////*/
#nav-logo,
.nav-links {
	display: inline-block;
	transition: .2s linear;
}
.nav-links a:hover,
.slide-body a:hover {
	color: var(--brand-color);
	background: rgba(0,0,0,.1);
}
#nav-logo {
	/*width: 120px;*/
	height: 40px;
}
#nav-logo img {
	height: 100%;
	/*opacity: .5*/
}
.nav-links {
	overflow: auto;
    position: absolute;
    right: 30px;
    top: 50%;
    transform: translateY(-50%);
}
.nav-links .slide-out-logo,
#nav-links span.link-section {
	display: none;
}
.nav-links a {
	display: inline-block;
	padding: 13px 20px;
    margin-right: -3px;
	color: white;
	transition: .2s linear;
}
.nav-links a:last-child {
    margin-right: 0px;
}

#hamburger {
	overflow: auto;
    padding: 13.5px 16px;
    cursor: pointer !important;
    position: absolute;
    right: 30px;
    top: 50%;
    transform: translateY(-50%);
    display: none;
}
#hamburger span {
	width: 23px;
    height: 1px;
    background: white;
    display: block;
    margin: 5px 0;
}
#hamburger:hover span {
    background: var(--brand-color);
}
/*//////////*/
#slide-out-tray {
	max-width: 400px;
	width: 100%;
    height: 100vh;
    background: var(--graymid);
    box-shadow: none;
    position: fixed;
    overflow: scroll;
    top: 0;
    right: -400px;
    transition: .2s linear;
    z-index: 3;
}
#slide-out-tray.show {
    display: block;
    box-shadow: 0 0 100px black;
    right: 0;
}
div#slide-out-tray:after {
    content: "";
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.75);
    display: block;
    cursor: e-resize;
    position: fixed;
    top: 0;
    left: 100vw;
    opacity: 0;
    z-index: 1;
    transition: opacity .2s linear;
}
#slide-out-tray.show:after {
    opacity: 1;
    left: 0;
}
.slide-body a {
	color: white;
	display: block;
	margin: 0;
	padding: 15px 30px;
}
/*//////////*/
#slide-out-tray #slide-out-close,
#hamburger-close {
    cursor: pointer !important;
    padding: 39px 15px;
    display: none;
    position: absolute;
    top: 0px;
    right: 10px;
    z-index: 5;
}
#slide-out-tray #slide-out-close.show {
    display: block;
}
/*#hamburger-close {
    cursor: pointer !important;
    background: rgba(255,255,255,.1);
    padding: 24px 15px;
    display: none;
    top: 10px;
    right: -50px;
    z-index: 5;
}*/
#nav-links.show #hamburger-close {
	position: fixed;
}
#slide-out-close span,
#hamburger-close span {
	width: 20px;
    height: 1px;
    background: white;
    display: block;
    margin: 0;
    position: relative;
    transition: .2s linear;
}
#slide-out-close span:nth-child(1),
#hamburger-close span:nth-child(1) {
	transform: rotate(45deg);
    position: relative;
    top: 2px;
}
#slide-out-close span:nth-child(2),
#hamburger-close span:nth-child(2) {
	transform: rotate(-45deg);
	top: -2px;
}
#slide-out-tray #slide-out-close:hover span:nth-child(1),
#hamburger-close:hover span:nth-child(1) {
	top: 1px;
	background: var(--brand-color);
}
#slide-out-tray #slide-out-close:hover span:nth-child(2),
#hamburger-close:hover span:nth-child(2) {
    top: 0px;
    background: var(--brand-color);
}
/*//////////*/
.slide-out-menu {
	position: relative;
	z-index: 3;
	background: var(--graymid);
	height: 100vh;
	display: none;
}
.slide-out-menu.show {
	display: block;
}
/*//////////*/
.slide-out-header {
	margin: 0;
	padding: 22px 30px;
	box-shadow: inset 0px -1px 0px 0px rgba(255,255,255,.05);
}

.slide-out-tray-trigger {
	cursor: pointer;
}
/*//////////*/
#slide-out-mobile-menu {
	display: none;
}
#slide-out-mobile-menu.show {
	display: block;
}
#slide-out-other-menu {
	display: none;
}
#slide-out-other-menu.show {
	display: block;
}
.slide-body a {

}

/* PAGE BODY */
.body-content-wrapper {
	padding: 30px;
	background: rgba(255,255,255,0.03);
	margin: 0 0 30px;
}
.body-content-wrapper :first-child {
	margin-top: 0;
}
.body-content-wrapper :last-child {
	margin-bottom: 0;
}
/* SNAP SCROLL */
.snap-scroll-x.wrapper {
	position: relative;
	overflow: hidden;
}
.snap-scroll-x.parent {
	scroll-snap-type: x mandatory;
	overflow-x: scroll;
	display: grid;
	grid-template-columns: 100% 100% 100% 100%;
}
.snap-scroll-x.parent .scroll-x-child {
	scroll-snap-align: start;
	scroll-snap-stop: always;
	position: relative;
}

.snap-scroll-x.wrapper .indicators {
	position: absolute;
	bottom: 10px;
	left: 50%;
	transform: translate(-50%,0);
	text-align: center;
}
/*.snap-scroll-x.wrapper .indicators:before,
.snap-scroll-x.wrapper .indicators:after {
	content: "";
    background: #2b2e33;
    padding: 3px 0;
    width: 1000%;
    position: absolute;
    bottom: 6px;
}*/
.snap-scroll-x.wrapper .indicators span {
	font-weight: bold;
    display: inline-block;
    margin: 0px -2px;
    padding: 2px 15px;
    background: rgba(255,255,255, 0.1);
    border: solid #2b2e33;
    border-width: 1px 3px;
}
.scroll-x-child div.indicator {
	position: absolute;
	bottom: 17px;
	left: 50%;
	transform: translate(-50%,0);
}
.snap-scroll-x.wrapper div.indicator span {
	display: inline-block;
	padding: 2px 15px;
	background: #2ab3fa;
}
.snap-scroll-x.wrapper .indicators:before {
    right: 137px;
}
.snap-scroll-x.wrapper .indicators:after {
    left: 137px;
}
.scroll-x-child:nth-of-type(1) div.indicator {
	transform: translate(calc(-50% - 53px),0);
}
.scroll-x-child:nth-of-type(2) div.indicator {
	transform: translate(calc(-50% - 18px),0);
}
.scroll-x-child:nth-of-type(3) div.indicator {
	transform: translate(calc(-50% + 18px),0);
}
.scroll-x-child:nth-of-type(4) div.indicator {
	transform: translate(calc(-50% + 53px),0);
}
/* ACCORDION */
.accordion-wrapper {
	position: relative;
	overflow: hidden;
}
.accordion-wrapper input {
	position: absolute;
    top: 10px;
    left: 10px;
    z-index: -1;
    opacity: 0;
}
.accordion-wrapper label {
	box-shadow: inset 0px -1px 0 0px rgba(255,255,255,.05);
	font-size: 18px;
	color: white;
	display: block;
	padding: 20px 30px;
	cursor: pointer;
	position: relative;
	transition: all .25s linear;
}
.accordion-wrapper label:first-of-type {
    box-shadow: inset 0px -1px 0 0px rgba(255,255,255,.05),
    			inset 0px 1px 0 0px rgba(255,255,255,.05);
}
.accordion-wrapper input:checked + label {
	background: rgba(255,255,255,.03);
	box-shadow: none;
}
.accordion-wrapper label:after {
    content: "+";
    font-size: 35px;
    font-weight: 100;
    position: absolute;
    top: 50%;
    right: 30px;
    transform: translate(0,-54%);
    will-change: transform;
    transition: all .25s linear;
}
.accordion-wrapper input:checked + label:after {
    transform: translate(0,-54%) rotate(45deg);
}

.accordion-wrapper input:checked + label + .accordion-content + input:checked + label {
    margin-top: 15px;
}
/**/
.accordion-wrapper .accordion-content {
	background: rgba(255,255,255,.03);
	padding: 0 30px;
	max-height: 0px;
	transition: all .25s;
	overflow: hidden;
}
.accordion-wrapper input:checked + label + .accordion-content {
    max-height: 100vh;
    padding: 0 30px 30px;
}
/**/
.accordion-wrapper label[for*="radio"],
.accordion-wrapper label[for*="radio"] + .accordion-content {
    margin: 0;
}
.accordion-wrapper label.close {
	margin: 2px 0 0;
	font-size: 16px;
	color: rgba(255,255,255,0.5);
	text-align: center;
	background: none;
	box-shadow: none;
}
.accordion-wrapper input:checked + label.close {
	background: none;
}
.accordion-wrapper label.close:hover,
.accordion-wrapper input:checked + label.close:hover {
	background: rgba(255,255,255,.03);
}
.accordion-wrapper label.close:after {
	content: "";
}

/*//////////////////////////////*/
@media (max-width: 991px) {
    section.header {
	    text-align: center;
	}	
	#nav-logo {
		text-align: center;
	    position: relative;
	}
	#hamburger {
	    display: block;
	}
	#nav-links {
		text-align: left;
		max-width: 400px;
	    width: 100%;
	    height: calc(100vh - 30px);
	    /*height: 100vh;*/
	    padding: 15px 0;
	    overflow-y: scroll;
	    transform: none;
	    background: var(--graymid);
	    box-shadow: none;
	    position: fixed;
	    top: 0;
	    right: -400px;
	    transition: .2s linear;
	    z-index: 3;
	}
	#nav-links #hamburger-close,
	#nav-links .slide-out-logo {
		display: block;
	}
	#nav-links .slide-out-logo {
		border-bottom: 1px solid rgba(255,255,255,.05);
	}
	#nav-links .slide-out-logo img {
		height: 37px;
		display: block;
		text-align: center;
		margin: auto;
	}
	#nav-links a {
		display: block;
		margin: 0;
		padding: 15px 30px;
	}
	#nav-links span.link-section {
		display: block;
		/*padding: 15px 30px;*/
		font-size: 1.25em;
		color: rgba(255,255,255,.25);
		background: linear-gradient(90deg, rgba(0,0,0,.2), transparent);
	}
	#nav-links.show {
	    right: 0;
	}
	#nav-links.show #hamburger-close {
		right: 10px;
		transition: .2s linear;
	}
	#nav-links.show:before {
        content: "";
	    width: 100vw;
	    height: 100%;
	    background: rgba(0,0,0,0.75);
	    position: fixed;
	    top: 0;
	    right: 0;
	    z-index: -1;
	    transition: none;
	    cursor: e-resize;
	}
	#nav-links:after {
        content: "";
        max-width: 400px;
	    width: 100%;
	    height: 100%;
	    background: var(--graymid);
	    position: fixed;
	    top: 0;
	    right: -400px;
	    z-index: -1;
	    transition: .2s linear;
	}
	#nav-links.show:after {
	    right: 0;
	}	
}
@media (max-width: 767px) {
	.flex {
		display: block;
	}
	.pre-footer img.icon {
	    top: 7px;
	}
}
@media (max-width: 575px) {
	body {
		font-size: 16px;
	}
	.sticky-div {
	    padding: 15px 20px;
	    /*top: 0;*/
	}
	.full-page-section {
		min-height: 100vh;
		padding: 0;
	}
	.content-section.experience h2,
	.content-section.experience h3 {
		font-size: 25px !important;
	}
}
@media (max-width: 480px) {
	
}




